#navbar {
  position: fixed;
  top: 0;
  /* these control position / size of the navbar */
  background-color: black;
  width: 100%;
  list-style-type: none;
  padding: 0.5em;
  margin: 0;
  height: 10vh;
}
#navbar li {
  /* This allows the list to be horizontal and avoids a'staircasing' effect  */
  display: flex;
  width: 100%;
  padding: 0.5em;
}
#navbar a {
  /*tells the links to go to the left*/
  color: white;
  text-decoration: none;
  width: 100%;
  overflow: hidden;
  text-align: center;
  margin: 0;
  padding: inherit;
  align-self: center;
  vertical-align: center;
  /*allows links to not have underlines and such*/
}
.active {
  background-color: #00acac;
  border-radius: 5px;
  height: 80%;
}
#navbar a:hover.active {
  background-color: #009999;
  /*colours/behaviour while the links are hovered-over*/
  border-radius: 5px;
}

#navbar a:hover {
  background-color: rgb(80, 80, 80);
  /*colours/behaviour while the links are hovered-over*/
  border-radius: 5px;
}
body {
  padding-top: 12vh;
  margin: 0;
}

/* this only triggers when the user is on a desktop / large screen*/
@media only screen and (min-width: 1200px) {
  body {
    padding-top: 40px;
  }
  #navbar li {
    /* This allows the list to be horizontal and avoids a'staircasing' effect  */
    width: auto;
  }
  #navbar {
    height: 1.5em;
    top: 0;
    width: 100%;
    display: flex;
    flex-direction: row;
    background-color: black;
    justify-content: flex-start;
  }
  #logout {
    justify-content: flex-end;
  }
}
